Espruino 缓冲区错误漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1186098 漏洞类型 缓冲区错误
发布时间 2018-06-01 更新时间 2018-06-01
CVE编号 CVE-2018-11593 CNNVD-ID CNNVD-201805-1230
漏洞平台 N/A CVSS评分 5.8
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201805-1230
|漏洞详情
Espruino是一款使用在微控制器中的JavaScript解释器。 Espruino 1.99之前版本中存在栈缓冲区溢出漏洞,该漏洞源于jslex.c文件没有正确的使用‘strncpy’函数。攻击者可借助特制的文件利用该漏洞造成拒绝服务(应用程序崩溃)并可能泄露信息。
|参考资料
resource:Patch
hyperlink:https://github.com/espruino/Espruino/commit/bed844f109b6c222816740555068de2e101e8018
resource:Exploit
hyperlink:https://github.com/espruino/Espruino/files/2019228/eh_0.txt
resource:Issue Tracking
hyperlink:https://github.com/espruino/Espruino/issues/1426